import scrapy
import time
from crawl.comm.football import FTResult

class FootballSpider(scrapy.Spider):
  name = "football-result"

  def start_requests(self):
    # 开奖
    today = time.strftime("%Y-%m-%d")
    url = "https://www.lottery.gov.cn/football/result_99.jspx?startDate="+today+"&endDate="+today+"&f_league_id=0&f_league_name=%E5%85%A8%E9%83%A8%E8%81%94%E8%B5%9B&single=off"
    yield scrapy.Request(url, self.parseResult)

  def parseResult(self, response):
    cssMain = ".xxsj table table tr"
    cssDetail = "td"

    # 获取所有比赛
    matches = response.css(cssMain)
    for node in matches[1:-3]:  # 标题行忽略以及末尾三行
      prop = node.css(cssDetail)

      matchTime = prop[0].css('::text').get()
      matchWeek = prop[1].css('::text').get()
      league = prop[2].css('::text').get()
      homeTeam = prop[3].css('.zhu::text').get()
      awayTeam = prop[3].css('.ke::text').get()
      single = self.isSingle(prop[3].attrib.get('class'))
      tmp = prop[4].css('::text').get()
      half = tmp.strip() if tmp is not None else ""
      tmp = prop[5].css('::text').get()
      whole = tmp.strip() if tmp is not None else ""
      tmp = prop[6].css('::text').get()
      status = tmp.strip() if tmp is not None else ""

      FTResult(
        matchTime,
        matchWeek,
        league,
        homeTeam,
        awayTeam,
        single,
        half,
        whole,
        status
      ).persist()

  def isSingle(self, eleCls):
    if eleCls is None:
      return '0'
    
    if 'dan' in eleCls:
      return '1'
    else:
      return '0'
